Search contacts
Contacts in Aircall by name, phone number, email or company.
GET https://cotlet.dev/api/v1/aircall/contacts/search
read
Searches the Contacts section of Aircall Workspace. Each row has the name, company, phone numbers, emails and whether the contact is an Aircall contact or synced from a connected CRM. Page with next_cursor.
Parameters
| Name | Type | Description |
|---|---|---|
| query string required | string | Name, phone number, email or company. |
| limit integer | integer | Page size. |
| cursor string | string | next_cursor from the previous call. |
Request
curl "https://cotlet.dev/api/v1/aircall/contacts/search?query=query" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("aircall", "search_contacts", {"query":"query"}) const result = await cotlet.call('aircall', 'search_contacts', {"query":"query"}); cotlet call aircall search_contacts --data '{"query":"query"}' Example response
{
"contacts": [
{
"contact_id": "ct_90112",
"name": "Mei Tanaka",
"company": "Tanaka Studio",
"phones": [
"+14155550163"
],
"emails": [
"mei@example.com"
],
"source": "aircall"
}
],
"next_cursor": null
}